=head1 NAME

Gtk2::Action

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Action


=head1 METHODS

=head2 $action-E<gt>B<set_accel_group> ($accel_group)

=over

=over

=item * $accel_group (Gtk2::AccelGroup or undef) 

=back

=back

=head2 string = $action-E<gt>B<get_accel_path> 

=over

=back

=head2 $action-E<gt>B<set_accel_path> ($accel_path)

=over

=over

=item * $accel_path (string) 

=back

=back

=head2 $action-E<gt>B<activate> 

=over

=back

=head2 $action-E<gt>B<block_activate_from> ($proxy)

=over

=over

=item * $proxy (Gtk2::Widget) 

=back

=back

=head2 $action-E<gt>B<connect_accelerator> 

=over

=back

=head2 $action-E<gt>B<connect_proxy> ($proxy)

=over

=over

=item * $proxy (Gtk2::Widget) 

=back

=back

=head2 widget = $action-E<gt>B<create_icon> ($icon_size)

=over

=over

=item * $icon_size (Gtk2::IconSize) 

=back

=back

=head2 widget = $action-E<gt>B<create_menu_item> 

=over

=back

=head2 widget = $action-E<gt>B<create_tool_item> 

=over

=back

=head2 $action-E<gt>B<disconnect_accelerator> 

=over

=back

=head2 $action-E<gt>B<disconnect_proxy> ($proxy)

=over

=over

=item * $proxy (Gtk2::Widget) 

=back

=back

=head2 boolean = $action-E<gt>B<is_sensitive> 

=over

=back

=head2 boolean = $action-E<gt>B<is_visible> 

=over

=back

=head2 string = $action-E<gt>B<get_name> 

=over

=back

=head2 list = $action-E<gt>B<get_proxies> 

=over

=back

=head2 boolean = $action-E<gt>B<get_sensitive> 

=over

=back

=head2 $action-E<gt>B<set_sensitive> ($sensitive)

=over

=over

=item * $sensitive (boolean) 

=back

=back

=head2 $action-E<gt>B<unblock_activate_from> ($proxy)

=over

=over

=item * $proxy (Gtk2::Widget) 

=back

=back

=head2 boolean = $action-E<gt>B<get_visible> 

=over

=back

=head2 $action-E<gt>B<set_visible> ($visible)

=over

=over

=item * $visible (boolean) 

=back

=back


=head1 PROPERTIES

=over

=item 'action-group' (Gtk2::ActionGroup : readable / writable / private)

The GtkActionGroup this GtkAction is associated with, or NULL (for internal use).

=item 'hide-if-empty' (boolean : readable / writable / private)

When TRUE, empty menu proxies for this action are hidden.

=item 'is-important' (boolean : readable / writable / private)

Whether the action is considered important. When TRUE, toolitem proxies for this action show text in GTK_TOOLBAR_BOTH_HORIZ mode.

=item 'label' (string : readable / writable / private)

The label used for menu items and buttons that activate this action.

=item 'name' (string : readable / writable / construct-only / private)

A unique name for the action.

=item 'sensitive' (boolean : readable / writable / private)

Whether the action is enabled.

=item 'short-label' (string : readable / writable / private)

A shorter label that may be used on toolbar buttons.

=item 'stock-id' (string : readable / writable / private)

The stock icon displayed in widgets representing this action.

=item 'tooltip' (string : readable / writable / private)

A tooltip for this action.

=item 'visible' (boolean : readable / writable / private)

Whether the action is visible.

=item 'visible-horizontal' (boolean : readable / writable / private)

Whether the toolbar item is visible when the toolbar is in a horizontal orientation.

=item 'visible-overflown' (boolean : readable / writable / private)

When TRUE, toolitem proxies for this action are represented in the toolbar overflow menu.

=item 'visible-vertical' (boolean : readable / writable / private)

Whether the toolbar item is visible when the toolbar is in a vertical orientation.

=back


=head1 SIGNALS

=over

=item B<activate> (Gtk2::Action)

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::IconSize

=over

=item * 'invalid' / 'GTK_ICON_SIZE_INVALID'

=item * 'menu' / 'GTK_ICON_SIZE_MENU'

=item * 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

=item * 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

=item * 'button' / 'GTK_ICON_SIZE_BUTTON'

=item * 'dnd' / 'GTK_ICON_SIZE_DND'

=item * 'dialog' / 'GTK_ICON_SIZE_DIALOG'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

